Public Member Functions | Protected Attributes | Private Member Functions | List of all members
FullWrtGraphInternal::SubDocument Class Reference

Internal: the subdocument of a FullWrtGraph. More...

Inheritance diagram for FullWrtGraphInternal::SubDocument:

## Public Member Functions
| SubDocument (FullWrtGraph &pars, int id, MWAWColor fontColor)
| constructor More...
virtual | ~SubDocument ()
| destructor More...
virtual bool | operator!= (MWAWSubDocument const &doc) const
| operator!= More...
virtual bool | operator== (MWAWSubDocument const &doc) const
| operator!== More...
void | parse (MWAWListenerPtr &listener, libmwaw::SubDocumentType type)
| the parser function More...
Public Member Functions inherited from MWAWSubDocument
| MWAWSubDocument (MWAWParser *pars, MWAWInputStreamPtr ip, MWAWEntry const &z)
| constructor from parser, input stream and zone in the input More...
| MWAWSubDocument (MWAWSubDocument const &doc)
| copy constructor More...
MWAWSubDocument & | operator= (MWAWSubDocument const &doc)
| copy operator More...
virtual | ~MWAWSubDocument ()
| virtual destructor More...
bool | operator== (MWAWSubDocument const &doc) const
| comparison operator== More...
bool | operator!= (shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator!= More...
bool | operator== (shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator== More...

## Protected Attributes
FullWrtGraph * | m_graphParser
| the graph parser More...
int | m_id
| the zone file id More...
MWAWColor | m_fontColor
| the default font color More...
Protected Attributes inherited from MWAWSubDocument
MWAWParser * | m_parser
| the main zone parser More...
shared_ptr< MWAWInputStream > | m_input
| the input More...
MWAWEntry | m_zone
| if valid the zone to parse More...

## Private Member Functions
| SubDocument (SubDocument const &orig)
SubDocument & | operator= (SubDocument const &orig)

## Detailed Description

Internal: the subdocument of a FullWrtGraph.

## Constructor & Destructor Documentation

## ◆ SubDocument() [1/2]

FullWrtGraphInternal::SubDocument::SubDocument | ( | FullWrtGraph & | pars,
|  | int | id,
|  | MWAWColor | fontColor
| ) |  |
| inline

constructor

## ◆ ~SubDocument()

virtual FullWrtGraphInternal::SubDocument::~SubDocument | ( |  | ) |
| inline virtual

destructor

## ◆ SubDocument() [2/2]

FullWrtGraphInternal::SubDocument::SubDocument | ( | SubDocument const & | orig | ) |
| private

## Member Function Documentation

## ◆ operator!=()

bool FullWrtGraphInternal::SubDocument::operator!= | ( | MWAWSubDocument const & | doc | ) | const
| virtual

operator!=

Reimplemented from MWAWSubDocument.

## ◆ operator=()

SubDocument& FullWrtGraphInternal::SubDocument::operator= | ( | SubDocument const & | orig | ) |
| private

## ◆ operator==()

virtual bool FullWrtGraphInternal::SubDocument::operator== | ( | MWAWSubDocument const & | doc | ) | const
| inline virtual

operator!==

## ◆ parse()

void FullWrtGraphInternal::SubDocument::parse | ( | MWAWListenerPtr & | listener,
|  | libmwaw::SubDocumentType | type
| ) |  |
| virtual

the parser function

Implements MWAWSubDocument.

## Member Data Documentation

## ◆ m_fontColor

MWAWColor FullWrtGraphInternal::SubDocument::m_fontColor
| protected

the default font color

Referenced by operator!=().

## ◆ m_graphParser

FullWrtGraph* FullWrtGraphInternal::SubDocument::m_graphParser
| protected

the graph parser

Referenced by operator!=().

## ◆ m_id

int FullWrtGraphInternal::SubDocument::m_id
| protected

the zone file id

Referenced by operator!=().

The documentation for this class was generated from the following file:

- FullWrtGraph.cxx